summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam A. Kennington III <wak@google.com>2021-12-10 01:17:10 +0300
committerWilliam A. Kennington III <wak@google.com>2021-12-10 01:17:19 +0300
commit7843a81ebc3592ec45793964880328937305b8c2 (patch)
tree08ba73ea7e6b47c03cb6c9e6abca315a8ac19d02
parent7dd9ff465dc582a5d03b2ea62eee147faae39ffc (diff)
downloadopenbmc-7843a81ebc3592ec45793964880328937305b8c2.tar.xz
gbmc-ncsi-config: Stop ncsid if special RA is received
The receipt of the RA is indicative of a non-NCSI configuration so we can shut down the daemon in this instance. Change-Id: Iff958be408cff853973bd335f2459cd3d9bca0e0 Signed-off-by: William A. Kennington III <wak@google.com>
-rwxr-xr-xmeta-google/recipes-google/ncsi/files/gbmc-ncsi-ip-from-ra.sh.in3
1 files changed, 3 insertions, 0 deletions
diff --git a/meta-google/recipes-google/ncsi/files/gbmc-ncsi-ip-from-ra.sh.in b/meta-google/recipes-google/ncsi/files/gbmc-ncsi-ip-from-ra.sh.in
index 6144617d47..2788f7f19d 100755
--- a/meta-google/recipes-google/ncsi/files/gbmc-ncsi-ip-from-ra.sh.in
+++ b/meta-google/recipes-google/ncsi/files/gbmc-ncsi-ip-from-ra.sh.in
@@ -41,6 +41,9 @@ set_net() {
echo "Found prefix $pfx from $rtr" >&2
+ # We no longer need NCSId if we are in this configuration
+ systemctl stop --no-block ncsid@"$NCSI_IF" || true
+
# Delete any stale IP Addresses from the primary interface as we won't use them
UpdateIP xyz.openbmc_project.Network "$NCSI_IF" '0.0.0.0' '0' || true
UpdateIP xyz.openbmc_project.Network "$NCSI_IF" '::' '0' || true